### Method

# Gtk TreeView set_row_separator_func

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_row_separator_func (
      GtkTreeView* tree_view,
      GtkTreeViewRowSeparatorFunc func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the row separator function, which is used to determine whether a row should be drawn as a separator. If the row separator function is `NULL`, no separators are drawn. This is the default value.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`func`

  Type: `GtkTreeViewRowSeparatorFunc`

  A `GtkTreeView`RowSeparatorFunc.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `data`.

  The argument can be `NULL`.